LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XStarBasicDialogInfo Interface Referencepublished

Interface describing old style basic dialog (SI controls) in binary data. More...

`import"XStarBasicDialogInfo.idl";`

Inheritance diagram for XStarBasicDialogInfo:

## Public Member Functions
string | getName ()
| returns the name of the dialog More...
sequence< byte > | getData ()
| returns binary data describing the SIDialog in SBX stream format More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface describing old style basic dialog (SI controls) in binary data.

Deprecated:

## Member Function Documentation

## ◆ getData()

sequence< byte > getData | ( |  | ) |

returns binary data describing the SIDialog in SBX stream format

## ◆ getName()

string getName | ( |  | ) |

returns the name of the dialog

The documentation for this interface was generated from the following file:

- com/sun/star/script/XStarBasicDialogInfo.idl